CCuddCore.h File Reference
`#include <polybori/pbori_defs.h>`
`#include "CCuddInterface.h"`
`#include "CVariableNames.h"`
`#include <polybori/routines/pbori_func.h>`
`#include <polybori/common/traits.h>`
`#include <boost/intrusive_ptr.hpp>`
`#include <vector>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

class | polybori::CCuddCore
| This class prepares the CUDD's raw decision diagram manager structure for the use with instrinsive pointers. More...

## Namespaces

| polybori

## Constant Groups

| polybori

## Functions

Prepare for the application of intrinsive pointers
void | polybori::intrusive_ptr_add_ref (CCuddCore *pCore)
| Increment reference count. More...
void | polybori::intrusive_ptr_release (CCuddCore *pCore)
| Release current pointer by decrementing reference counting. More...

## Detailed Description

Author
  Alexander Dreyer

Date
  2007-07-19

This files defines a

Copyright:
  (c) 2007-2010by The PolyBoRi Team